QS
Date: 2019-10-22

org.jmol.quantum

## Class QS

- java.lang.Object
- - org.jmol.quantum.QS

-     public class QS
      extends java.lang.Object

  Constants and static methods for quantum shells.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CANONICAL_DC_LIST`
    `static java.lang.String` | `CANONICAL_DS_LIST`
    `static java.lang.String` | `CANONICAL_FC_LIST`
    `static java.lang.String` | `CANONICAL_FS_LIST`
    `static int` | `DC`
    `static int` | `DS`
    `static int` | `FC`
    `static int` | `FS`
    `static int` | `GC`
    `static int` | `GS`
    `static int` | `HC`
    `static int` | `HS`
    `static int` | `IC`
    `static int[]` | `idSpherical`
    `static int` | `IS`
    `static int` | `MAX_TYPE_SUPPORTED`
    `private static int` | `MAXID`
    `static int` | `P`
    `static int` | `S`
    `static int` | `SP`
    `static java.lang.String[]` | `tags`
    `static java.lang.String[]` | `tags2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QS()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `createDFMap(int[] map, java.lang.String fileList, java.lang.String jmolList, int minLength)`
    `static int` | `getItem(int i)`
    `static java.lang.String` | `getMOString(float[] lc)`
    `static int[][]` | `getNewDfCoefMap()`
    `private static int` | `getQuantumShell(java.lang.String tag)`
    `static java.lang.String` | `getQuantumShellTag(int id)`
    `static int` | `getQuantumShellTagID(java.lang.String tag)`
    `static int` | `getQuantumShellTagIDSpherical(java.lang.String tag)`
    `static boolean` | `isQuantumBasisSupported(char ch)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### S

          public static final int S

      See Also:
        Constant Field Values

    - #### P

          public static final int P

      See Also:
        Constant Field Values

    - #### SP

          public static final int SP

      See Also:
        Constant Field Values

    - #### DS

          public static final int DS

      See Also:
        Constant Field Values

    - #### DC

          public static final int DC

      See Also:
        Constant Field Values

    - #### FS

          public static final int FS

      See Also:
        Constant Field Values

    - #### FC

          public static final int FC

      See Also:
        Constant Field Values

    - #### GS

          public static final int GS

      See Also:
        Constant Field Values

    - #### GC

          public static final int GC

      See Also:
        Constant Field Values

    - #### HS

          public static final int HS

      See Also:
        Constant Field Values

    - #### HC

          public static final int HC

      See Also:
        Constant Field Values

    - #### IS

          public static final int IS

      See Also:
        Constant Field Values

    - #### IC

          public static final int IC

      See Also:
        Constant Field Values

    - #### MAX_TYPE_SUPPORTED

          public static int MAX_TYPE_SUPPORTED

    - #### MAXID

          private static final int MAXID

      See Also:
        Constant Field Values

    - #### idSpherical

          public static final int[] idSpherical

    - #### tags

          public static final java.lang.String[] tags

    - #### tags2

          public static final java.lang.String[] tags2

    - #### CANONICAL_DC_LIST

          public static final java.lang.String CANONICAL_DC_LIST

      See Also:
        Constant Field Values

    - #### CANONICAL_DS_LIST

          public static final java.lang.String CANONICAL_DS_LIST

      See Also:
        Constant Field Values

    - #### CANONICAL_FC_LIST

          public static final java.lang.String CANONICAL_FC_LIST

      See Also:
        Constant Field Values

    - #### CANONICAL_FS_LIST

          public static final java.lang.String CANONICAL_FS_LIST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QS

          public QS()

  - ### Method Detail

    - #### isQuantumBasisSupported

          public static boolean isQuantumBasisSupported(char ch)

    - #### getNewDfCoefMap

          public static int[][] getNewDfCoefMap()

    - #### getItem

          public static int getItem(int i)

    - #### getQuantumShellTagID

          public static int getQuantumShellTagID(java.lang.String tag)

    - #### getQuantumShell

          private static int getQuantumShell(java.lang.String tag)

    - #### getQuantumShellTagIDSpherical

          public static final int getQuantumShellTagIDSpherical(java.lang.String tag)

    - #### getQuantumShellTag

          public static final java.lang.String getQuantumShellTag(int id)

    - #### getMOString

          public static final java.lang.String getMOString(float[] lc)

    - #### createDFMap

          public static boolean createDFMap(int[] map,
                                            java.lang.String fileList,
                                            java.lang.String jmolList,
                                            int minLength)

      Parameters:
        `map` - map to fill
        `fileList` - reader-dependent list
        `jmolList` - Jmol's reordering of that list
        `minLength` - minimum token length so that "G 0" is not taken as two token -- depends upon reader
      Returns:
        true if successful